I=(S=Uno.Graphics.OpenGL.Interop = function(){
}).prototype;

S.PolygonWindingToGLenum = function(x)
{
    switch (x)
    {
        case 0:
        {
            return 2304;
        }
        case 1:
        {
            return 2305;
        }
        default:
        {
            throw Uno.Exception.$0("Unsupported polygon winding");
        }
    }
};

S.PolygonFaceToGLenum = function(x)
{
    switch (x)
    {
        case 0:
        {
            return 0;
        }
        case 1:
        {
            return 1028;
        }
        case 2:
        {
            return 1029;
        }
        case 3:
        {
            return 1032;
        }
        default:
        {
            throw Uno.Exception.$0("Unsupported polygon face");
        }
    }
};

S.PrimitiveTypeToGLenum = function(x)
{
    switch (x)
    {
        case 0:
        {
            return 4;
        }
        case 1:
        {
            return 1;
        }
        case 2:
        {
            return 0;
        }
        case 3:
        {
            return 5;
        }
        case 4:
        {
            return 3;
        }
        default:
        {
            throw Uno.Exception.$0("Unsupported primitive type");
        }
    }
};

S.BlendToGLenum = function(x)
{
    switch (x)
    {
        case 0:
        {
            return 0;
        }
        case 1:
        {
            return 1;
        }
        case 2:
        {
            return 770;
        }
        case 3:
        {
            return 771;
        }
        case 4:
        {
            return 768;
        }
        case 5:
        {
            return 769;
        }
        case 6:
        {
            return 772;
        }
        case 7:
        {
            return 773;
        }
        case 8:
        {
            return 774;
        }
        case 9:
        {
            return 775;
        }
        default:
        {
            throw Uno.Exception.$0("Unsupported blend factor");
        }
    }
};
